petsc-3.4.2 2013-07-02

# PCFactorSetUpMatSolverPackage

Can be called after KSPSetOperators() or PCSetOperators(), causes MatGetFactor() to be called so then one may set the options for that particular factorization object.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFactorSetUpMatSolverPackage(PC pc)

### Input Parameter

pc -the preconditioner context

Notes: After you have called this function (which has to be after the KSPSetOperators() or PCSetOperators()) you can call PCFactorGetMatrix() and then set factor options on that matrix.

### See Also

PCFactorSetMatSolverPackage(), PCFactorGetMatrix()

Level:intermediate
Location:src/ksp/pc/impls/factor/factor.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex52.c.html